#include "stdafx.h"

#define ILD_Transparent 1

void HandleDrawing(HWND hWnd,HDC dc) {
	SHFILEINFOW sfi;
	int shgfi;
	RECT r;
	TCHAR* drvbuf=TEXT("T:\\");
	sfi.iIcon=0;
	shgfi=SHGFI_SYSICONINDEX | SHGFI_SHELLICONSIZE | SHGFI_USEFILEATTRIBUTES;
	shgfi=shgfi | SHGFI_LARGEICON;
	HIMAGELIST himl=(HIMAGELIST)SHGetFileInfo(drvbuf,FILE_ATTRIBUTE_DIRECTORY,&sfi,sizeof(SHFILEINFO),shgfi);
	GetClientRect(hWnd,&r);
	int x=(r.right-r.left)/2;
	int y=(r.bottom-r.top)/2;
	FillRect(dc,&r,GetSysColorBrush(COLOR_WINDOW));
	SetTextColor(dc,GetSysColor(COLOR_WINDOWTEXT));
	DrawText(dc,TEXT("Icon for drive T (click to reload):"),35,&r,DT_CENTER | DT_VCENTER | DT_SINGLELINE);
	ImageList_DrawEx(himl, sfi.iIcon, dc, x-16, y+20, 0, 0,
		CLR_NONE, CLR_NONE, ILD_SCALE | ILD_TRANSPARENT);
}

void getOverlayIcon(HWND hWnd) {
  IShellFolder* desktopFolder;
  desktopFolder=NULL;
  SHGetDesktopFolder(&desktopFolder);
  if (!desktopFolder)
  {
    return;
  }
  LPITEMIDLIST dirPidl;
  DWORD eaten;
  WCHAR* folderPath=TEXT("C:\\Users\\");
  if (!SUCCEEDED(desktopFolder->ParseDisplayName(hWnd, 0, (wchar_t *)(const wchar_t *)folderPath,
	  &eaten, &dirPidl, 0))) {
    return;
  }
  IShellFolder* parentFolder=NULL;
  desktopFolder->BindToObject(dirPidl,
      0, IID_IShellFolder, (void**)&parentFolder);
  if (!parentFolder) {
    return;
  }
  LPITEMIDLIST childidlist=NULL;
  WCHAR* childName=TEXT("All Users");
  if (!SUCCEEDED(parentFolder->ParseDisplayName(hWnd, 0, (wchar_t *)(const wchar_t *)childName,
	  &eaten, &childidlist, 0))) {
    return;
  }
  IShellIconOverlay* psio=NULL;
  parentFolder->QueryInterface(IID_IShellIconOverlay,(void**)&psio);
  if (!psio || !childidlist) {
    return;
  }
  int nOverlay=0;
  psio->GetOverlayIconIndex(childidlist,&nOverlay);
}

